"use strict";

var GO_Pridestand = function(){
	this.sprite = new Sprite(GO_Pridestand.spriteSheet,"Pridestand");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(1,1,14,15);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "Pridestand";

	this._makeCheckable("GD_Pride");
};
GO_Pridestand.spriteImg = SDS_Load_Image("art/sheets/sprite/pridestand.png");
GO_Pridestand.spriteSheet = new TileSheet(4, 4, 0, 0, GO_Pridestand.spriteImg);

GO_Pridestand.prototype = new GameObject(
	new Sprite(
		GO_Pridestand.spriteSheet,
		"Pridestand"
	),
	"Pridestand"
	);

	GO_Pridestand.prototype.Update = function(){

	};
